# Uses of Class
org.apache.sysds.runtime.ooc.cache.collections.MaskedOnceArrayList

Packages that use MaskedOnceArrayList
Package
Description
org.apache.sysds.runtime.ooc.cache.collections
org.apache.sysds.runtime.ooc.cache.eviction

## Uses of MaskedOnceArrayList in org.apache.sysds.runtime.ooc.cache.collections

Methods in org.apache.sysds.runtime.ooc.cache.collections that return MaskedOnceArrayList
Modifier and Type
Method
Description
`MaskedOnceArrayList<T>`
SegmentedStreamTableList.`get(int streamId)`
`MaskedOnceArrayList<T>`
SegmentedStreamTableList.`get(long streamId)`
`MaskedOnceArrayList<T>`
SegmentedStreamTableList.`getOrCreate(int streamId)`
`MaskedOnceArrayList<T>`
SegmentedStreamTableList.`getOrCreate(long streamId)`
Method parameters in org.apache.sysds.runtime.ooc.cache.collections with type arguments of type MaskedOnceArrayList
Modifier and Type
Method
Description
`void`
SegmentedStreamTableList.`forEachStreamTable(BiConsumer<Integer,MaskedOnceArrayList<T>> action)`

## Uses of MaskedOnceArrayList in org.apache.sysds.runtime.ooc.cache.eviction

Methods in org.apache.sysds.runtime.ooc.cache.eviction with parameters of type MaskedOnceArrayList
Modifier and Type
Method
Description
`void`
EvictController.`findEvictionCandidates(MaskedOnceArrayList<BlockEntry> list, PriorityQueue<IndexedObjectPair<BlockEntry>> candidates, int k, long estimatedReuseTimestamp)`